require "roopap/version"
require "roopap/organizer"
require "roopap/output_text"

module Roopap
  def self.process(args)
    source, dest = *args
    organizer = Organizer.new
    organizer.perform(source, dest)
    OutputText.new($stdout).finish(organizer.organized_file_count)
  end
end
